unit dachtypen;
{$ifdef FPC}{$mode objfpc}{$h+}{$endif}
interface
uses
 msetypes,mseglob,mseguiglob,mseguiintf,mseapplication,msestat,msemenus,msegui,
 msegraphics,msegraphutils,mseevent,mseclasses,mseforms,msedock,msedragglob,
 msescrollbar,msetabs,msewidgets,msegraphedits,mseificomp,mseificompglob,
 mseifiglob,msebitmap,mainmodule,msesimplewidgets,msetimer;

type
 TSlideOperation = (soNone, soHide, soShow, soWait);
 TFormoperation = (foNone, foShowing, foHiding);

 tdachtypenfo = class(tdockform)
   buttoncontainer: teventwidget;
   ttabwidget1: ttabwidget;
   tpsteildach: ttabpage;
   btnWalmdach: tdatabutton;
   btnSatteldach: tdatabutton;
   btnPult: tdatabutton;
   btnKrueppelwalmdach: tdatabutton;
   btnZeltdach: tdatabutton;
   btnTurm: tdatabutton;
   btnMansarddach1: tdatabutton;
   btnMansarddach2: tdatabutton;
   btnWinkelbau: tdatabutton;
   btn3GiebelBau: tdatabutton;
   btnTBau: tdatabutton;
   btnTonnendach: tdatabutton;
   tpflachdach: ttabpage;
   tpgauben: ttabpage;
   hidetimer: ttimer;
   procedure dobuttoncontainerchildmouseev(const sender: twidget;
                   var ainfo: mouseeventinfoty);
   procedure HideTimerExecute(const sender: TObject);
   procedure dachtypenformcreate(const sender: TObject);
   procedure on_btnclientmouseevent(const sender: twidget;
                   var ainfo: mouseeventinfoty);
 private
   fSlideOperation : TSlideOperation; // was der buttoncontainer grad macht
   fFormoperation : tformoperation;   // Eingabeform ein-/ausblenden
   procedure ShowButtons;
   procedure HideButtons;
 end;
var
 dachtypenfo: tdachtypenfo;
implementation
uses
 dachtypen_mfm;

procedure tdachtypenfo.dobuttoncontainerchildmouseev(const sender: twidget;
               var ainfo: mouseeventinfoty);
begin
 case ainfo.eventkind of
  ek_mouseenter: begin
   				  showbuttons();
  				 end;
  ek_mouseleave: begin
  				  fSlideOperation := soWait;
  				  HideTimer.Interval := 1000000;
   				  hidetimer.restart();
  				 end;
 end;
end;

procedure tdachtypenfo.ShowButtons;
begin
 fSlideOperation := soShow;
 hidetimer.interval := 1000000 div ButtonContainer.width;
 hidetimer.enabled:= true;
 hidetimer.restart;
end;

procedure tdachtypenfo.HideButtons;
begin
 fSlideOperation := soHide;
 hidetimer.interval := 1000000 div ButtonContainer.width;
 hidetimer.enabled := true;
 hidetimer.restart;
end;

procedure tdachtypenfo.HideTimerExecute(const sender: TObject);
begin
 case fSlideOperation of
  soWait : HideButtons;
  soHide : if buttoncontainer.left < width - 30 then
             buttoncontainer.left := buttoncontainer.left + 1
           else begin
             fSlideOperation := soNone;
             hidetimer.enabled := false;
           end;
  soShow : if buttoncontainer.left > width - buttoncontainer.width then
  		     buttoncontainer.left := buttoncontainer.left - 1
  		   else begin
  		    fSlideOperation := soNone;
  		    hidetimer.enabled := False;
  		   end;
 end;
end;

procedure tdachtypenfo.dachtypenformcreate(const sender: TObject);
begin
 ttabwidget1.activepage := tpsteildach;
 hidebuttons();
end;

procedure tdachtypenfo.on_btnclientmouseevent(const sender: twidget;
               var ainfo: mouseeventinfoty);
begin
  case ainfo.eventkind of
    ek_mouseenter : begin
    
    
    				end;
    ek_mouseleave : begin
    			
    				end;
  end;
end;

end.
