unit main;
{$ifdef FPC}{$mode objfpc}{$h+}{$endif}
interface
uses
 msetypes,mseglob,mseguiglob,mseguiintf,mseapplication,msestat,msemenus,msegui,
 msegraphics,msegraphutils,mseevent,mseclasses,msewidgets,mseforms,
 msemenuwidgets,mseactions,msetoolbar,msebitmap,msesplitter,startmenu,
 msedragglob,msescrollbar,msetabs,newdocking,mseact,msedataedits,mseedit,
 msegrids,mseificomp,mseificompglob,mseifiglob,msestatfile,msestream,msestrings,
 msewidgetgrid,sysutils,msefoldedit,msesimplewidgets,msechartedit,msedock;

type
 tmainfo = class(tdockform)
   tmainmenu1: tmainmenu;
   acProgrammBeenden: taction;
   timagelist1: timagelist;
   acStartmenu: taction;
   acdockform: taction;
   acsubform: taction;
   acDachtypen: taction;
   mainstat: tstatfile;
   tdockpanel1: tdockpanel;
   ttabwidget1: ttabwidget;
   ttabpage1: ttabpage;
   ttabpage4: ttabpage;
   ttoolbar1: ttoolbar;
   procedure doProgrammBeenden(const sender: TObject);
   procedure dostartmenu(const sender: TObject);
   procedure donewdock(const sender: TObject);
   procedure do_showdachtypen(const sender: TObject);
   procedure on_mnuwindows(const sender: TObject; var accept: Boolean);
   procedure dosubform(const sender: TObject);
 private
   fpopup: tpopupfo;
   fdockno, fsubno, fsimpleno : integer;
   flastdock : TNewDockingFo;
 end;
var
 mainfo: tmainfo;
 
implementation
uses
 main_mfm, dachtypen;
procedure tmainfo.doProgrammBeenden(const sender: TObject);
begin
 Application.Terminate;
end;

procedure tmainfo.dostartmenu(const sender: TObject);
begin
 if fpopup = nil then begin
  setlinkedvar(tpopupfo.create(ttoolbar1),
                                       tmsecomponent(fpopup));
    //fpopup will be set to nil automatically if it is destroyed
 end; 
end;

procedure tmainfo.donewdock(const sender: TObject);
var dock : TNewDockingFo;
begin
 dock := TNewDockingFo.Create(self);
 dock.name := 'DockFo' + IntToStr(fdockno);
 dock.caption := dock.name;
 inc(fdockno);
 flastdock := dock;
 dock.show;
end;

procedure tmainfo.do_showdachtypen(const sender: TObject);
begin
 if dachtypenfo = nil then
 begin
  dachtypenfo := tdachtypenfo.Create(Application);
 end;
 dachtypenfo.show();
end;

procedure tmainfo.on_mnuwindows(const sender: TObject; var accept: Boolean);
var i : integer;
    mi : TMenuItem;
begin
 mi := tmainmenu1.menu.submenu[4];
 mi.submenu.count := application.windowcount;
 for i := 0 to application.windowcount -1 do
 begin
  mi.submenu[i].caption := application.windows[i].caption;
 end;
end;

procedure tmainfo.dosubform(const sender: TObject);
begin
 showmessage(format('%d', [application.windowcount]));
end;

end.
